server {
    listen 8061;
    root /usr/share/nginx/html;
    index index.html;

    client_max_body_size 20M;

    location /api/ {
        proxy_pass http://backend:8060;
        proxy_set_header Host $host;
        proxy_read_timeout 60s;
    }

    location /uploads/ {
        proxy_pass http://backend:8060;
    }

    location / {
        try_files $uri $uri/ /index.html;
    }
}
